For the complete documentation index, see llms.txt. This page is also available as Markdown.

Taxes

Tax configurations and rates for different venues and regions.

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
regionIdstring[]OptionalExample: ["new-jersey","boston"]
areaIdstring[]OptionalExample: ["les","w37"]
pagenumberOptionalExample: 1
ippnumberOptionalExample: 50
searchstringOptionalExample: q
Responses
200

Returns a TaxCategoryCollection

application/json
_totalnumberRequired
get/taxes/categories
GET /apis/v2/taxes/categories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "items": [
    {
      "id": "text",
      "name": "text",
      "description": "text",
      "isDefault": true,
      "taxes": [
        {
          "name": "text",
          "amount": 1,
          "percentage": 1
        }
      ],
      "region": {
        "id": "text"
      },
      "area": {
        "id": "text"
      },
      "createdDate": "2026-01-01T00:00:00.000Z",
      "updatedDate": "2026-01-01T00:00:00.000Z",
      "createdBy": {
        "id": "text"
      },
      "updatedBy": {
        "id": "text"
      },
      "errors": [
        {
          "code": "text",
          "message": "text",
          "details": {}
        }
      ],
      "_links": {}
    }
  ],
  "_total": 1,
  "_pagination": {
    "page": 1,
    "ipp": 1,
    "count": 1,
    "total": 1
  },
  "_links": {
    "self": {
      "href": "text"
    }
  }
}
post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
idstringRequired
namestringRequired
descriptionstringOptional
isDefaultbooleanOptional
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
_linksobjectRequired
Responses
201

Returns a TaxCategory

application/json
idstringRequired
namestringRequired
descriptionstringOptional
isDefaultbooleanOptional
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
_linksobjectRequired
post/taxes/categories
POST /apis/v2/taxes/categories HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 134

{
  "id": "text",
  "name": "text",
  "description": "text",
  "isDefault": true,
  "taxes": [
    {}
  ],
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "_links": {}
}
{
  "id": "text",
  "name": "text",
  "description": "text",
  "isDefault": true,
  "taxes": [
    {
      "name": "text",
      "amount": 1,
      "percentage": 1
    }
  ],
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z",
  "createdBy": {
    "id": "text"
  },
  "updatedBy": {
    "id": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taxCategoryIdstringRequired
Responses
200

Returns a TaxCategory

application/json
idstringRequired
namestringRequired
descriptionstringOptional
isDefaultbooleanOptional
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
_linksobjectRequired
get/taxes/categories/{taxCategoryId}
GET /apis/v2/taxes/categories/{taxCategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "description": "text",
  "isDefault": true,
  "taxes": [
    {
      "name": "text",
      "amount": 1,
      "percentage": 1
    }
  ],
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z",
  "createdBy": {
    "id": "text"
  },
  "updatedBy": {
    "id": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taxCategoryIdstringRequired
Responses
200

Returns a TaxCategory

application/json
idstringRequired
namestringRequired
descriptionstringOptional
isDefaultbooleanOptional
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
_linksobjectRequired
delete/taxes/categories/{taxCategoryId}
DELETE /apis/v2/taxes/categories/{taxCategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "text",
  "name": "text",
  "description": "text",
  "isDefault": true,
  "taxes": [
    {
      "name": "text",
      "amount": 1,
      "percentage": 1
    }
  ],
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z",
  "createdBy": {
    "id": "text"
  },
  "updatedBy": {
    "id": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}
patch
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
taxCategoryIdstringRequired
Body
idstringRequired
namestringRequired
descriptionstringOptional
isDefaultbooleanOptional
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
_linksobjectRequired
Responses
200

Returns a TaxCategory

application/json
idstringRequired
namestringRequired
descriptionstringOptional
isDefaultbooleanOptional
createdDatestring · date-timeRead-onlyRequired
updatedDatestring · date-timeRead-onlyRequired
_linksobjectRequired
patch/taxes/categories/{taxCategoryId}
PATCH /apis/v2/taxes/categories/{taxCategoryId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 134

{
  "id": "text",
  "name": "text",
  "description": "text",
  "isDefault": true,
  "taxes": [
    {}
  ],
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "_links": {}
}
{
  "id": "text",
  "name": "text",
  "description": "text",
  "isDefault": true,
  "taxes": [
    {
      "name": "text",
      "amount": 1,
      "percentage": 1
    }
  ],
  "region": {
    "id": "text"
  },
  "area": {
    "id": "text"
  },
  "createdDate": "2026-01-01T00:00:00.000Z",
  "updatedDate": "2026-01-01T00:00:00.000Z",
  "createdBy": {
    "id": "text"
  },
  "updatedBy": {
    "id": "text"
  },
  "errors": [
    {
      "code": "text",
      "message": "text",
      "details": {}
    }
  ],
  "_links": {}
}

Last updated

Was this helpful?